계정 역할 할당 생성
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>"
}
'{
"expanded_capability_keys": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>",
"subject_id": "<string>",
"subject_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
새 역할 할당을 만들기 위한 요청 스키마입니다.
할당 범위 리소스 식별자
할당 범위 리소스 유형
client, account, workspace, domain, dns_record, mailbox, redirect, forwarding, credential, tenant, route, proxy 코드 정의 역할 키
viewer, editor, domain_manager, manager, dns_manager, ip_manager, billing_viewer, billing_admin, credential_manager 사용자, 그룹 또는 서비스 계정 식별자
1역할 할당 대상 유형: user, group 또는 service_account
user, group, service_account 이 페이지가 도움이 되었나요?
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>"
}
'{
"expanded_capability_keys": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>",
"subject_id": "<string>",
"subject_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}